function $(id) {return( document.getElementById(id));};
String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
String.prototype.ltrim = function() {
	return this.replace(/^\s+/,"");
}
String.prototype.rtrim = function() {
	return this.replace(/\s+$/,"");
}

var last = null;
var selected_elem = null;
function appendDiv(txt) {
	try {
		var list = document.getElementById('list');
		var d = document.createElement('div');
		d.id = txt;
		d.className = 'folder';
		if ( txt == '../')
            d.innerHTML = '<img src="./folderup.png"/> '+txt;
        else
            d.innerHTML = '<img src="./folder.png"/> '+txt;
		d.ondblclick = function(id) {
            selected_elem = null
            folder_select(d.id);return(false);
        }
		d.onselectstart = function(){ return(false); }
		d.onclick = function() {
            if(last){
                last.style.background = 'white';
                last.style.color = 'black';
            }
            this.style.background = 'gray';
            this.style.color = 'white';
            last = this;
            selected_elem = this
        }
		list.appendChild(d);
	}
    catch(err) {
		window.location = 'skp:jserr@'+err;
	}
}

function mkdir() {
    window.location = 'skp:mkdir@';
}

function cancel() {
    var l = document.getElementById('list');
    window.location = 'skp:cancel@'+l+'/';
}

function ok() {
    if ( selected_elem == null )
       my_alert();
    else if ( selected_elem.innerText.trim() == "../" )
       my_alert();
    else
       use_this( selected_elem.innerText.trim() );
}

function folder_select(id) {
	window.location = 'skp:folder@' + id;
}

function my_alert() {
    var l = document.getElementById('list');
    window.location = 'skp:alert@'+l+'/';
}

function clear_list() {
	var l = document.getElementById('list');
	l.innerHTML = '';
}

function set_location(loc) {
	var l = $('loc');
	l.innerHTML = loc;
}

function use_this(s) {
	var l = document.getElementById('loc').innerText;
	window.location = 'skp:use_this@'+l+'/'+s;
}
